Bug 1017224 - cannot compress snapshot's external memory state
cannot compress snapshot's external memory state
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
: Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 09:08 EDT by Arik
Modified: 2014-04-04 16:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1017227 (view as bug list)
Environment:
Last Closed: 2014-04-04 16:56:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arik 2013-10-09 09:08:58 EDT
Description of problem:
While taking snapshot with external memory state we can't use compression.
It should be possible to compress the memory state volume in a similar way we do it fot hibernation (virDomainSave) volume.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Jiri Denemark 2014-04-02 04:06:38 EDT
commit 7df5093f67f0560d0440807b4363746e032ad942
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Wed Oct 9 18:05:43 2013 +0200

    qemu: snapshot: Add support for compressing external snapshot memory
    
    The regular save image code has the support to compress images using a
    specified algorithm. This was not implemented for external checkpoints
    although it shares most of the backend code.
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1017227
Comment 5 RHEL Product and Program Management 2014-04-04 16:56:44 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.